Package logilab :: Package common :: Module sphinxutils :: Class ModuleGenerator

[frames] | no frames]

# Class ModuleGenerator

source code

Instance Methods

__init__(self, project_title, code_dir) | source code

generate(self, dest_file, exclude_dirs=STD_BLACKLIST) make the module file | source code

gen_modules(self, exclude_dirs) generate all modules | source code

find_modules(self, exclude_dirs) | source code

Class Variables
| file_header = `""".. -*- coding: utf-8 -*-\n\n%s\n"""`
| module_def = ``...``
| class_def = ``...``

Class Variable Details

### module_def

Value:

      """
      :mod:`%s`
      =======%s

      .. automodule:: %s
         :members: %s
      """

### class_def

Value:

      """

      .. autoclass:: %s
         :members: %s

      """